Bug 215262 - Valgrind aborts after running for a while
Valgrind aborts after running for a while
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: valgrind (Show other bugs)
4.4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-12 21:08 EST by Jay Fenlason
Modified: 2014-08-31 19:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 04:35:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Fenlason 2006-11-12 21:08:16 EST
Description of problem: 
I'm porting some very old code to modern Linux, and running it under valgrind 
to find errors.  Sometimes valgrind exits (the shell says Abort, but does not 
generate a core file) without warning, killing my program. 
 
Version-Release number of selected component (if applicable): 
valgrind-3.1.1-1.EL4 
 
How reproducible: 
It's happened twice so far.  Because the behavior of the program is random and 
interactive, finding a programmable reproducer may be hard. 
 
Steps to Reproduce: 
1. run valgrind --log-file=valgrind --leak-check=full ./hack 
2.play the game a while 
3. 
   
Actual results: 
[hack@localhost hack]$ valgrind --log-file=valgrind --leak-check=full ./hack 
 
Abort 
[hack@localhost hack]$ 
 
Expected results: 
Game should continue until I lose. 
 
Additional info:
Comment 1 Jakub Jelinek 2006-11-13 04:35:32 EST
I'm afraid that without a reproducer there is nothing I can do about this.
Try to recompile rawhide valgrind for RHEL4 and use that instead to see if that
makes a difference.

Note You need to log in before you can comment on or make changes to this bug.